##!dmake -f

MAXLINELENGTH := 8192

# main goal of this Makefile:
# suppl_$(_MODEL): FreeDos library
# This library is automatically copied into $(FDLIB)

# source in the Free-Dos initialization 
.INCLUDE .FIRST .IGNORE : fd_init.mk ../fd_init.mk ../../fd_init.mk
.IF $(SUPPL_CLEAN_MAKE) == $(NULL)
.IMPORT .IGNORE : SUPPL_CLEAN_MAKE
.ENDIF

LIBNAME_SUFFIX = $(_MODEL)$(null,$(NDEBUG) D $(null,$(_SUPPL_CLEAN_MAKE) $(NULL) C))

.KEEP_STATE := _state_$(_COMPILER)_$(LIBNAME_SUFFIX).mk

MAKE += $(MAKEMACROS) COMPILER!:=$(_COMPILER) LNG!:=$(LNG) NDEBUG!:=$(NDEBUG) SUPPL_CLEAN_MAKE!:=$(SUPPL_CLEAN_MAKE)

#
#Project related settings
#
PRG = 
XPRG = suppl_$(LIBNAME_SUFFIX).lib
SRC = _flags.c _getdcwd.c addu.c app_file.c app_filx.c app_ienv.c \
	app_ievx.c app_ini_.c app_init.c app_inix.c app_name.c app_namx.c \
	app_path.c app_patx.c app_vars.c byte2par.c cntry.c commit.c ctrlbrk.c \
	dbgf_chg.c dbgf_cl.c dbgf_cle.c dbgf_clg.c dbgf_dl.c dbgf_dpl.c \
	dbgf_et.c dbgf_ex2.c dbgf_ext.c dbgf_fl.c dbgf_flg.c dbgf_flh.c \
	dbgf_ien.c dbgf_lgh.c dbgf_lgi.c dbgf_lgt.c dbgf_lk.c dbgf_log.c \
	dbgf_lv.c dbgf_mfi.c dbgf_mi.c dbgf_mki.c dbgf_ml.c dbgf_pop.c \
	dbgf_prt.c dbgf_psh.c dbgf_var.c dbgm_chk.c dbgm_ckh.c dbgm_lc.c \
	dbgm_lf.c dbgm_lm.c dbgm_lr.c dbgm_ls.c dbgm_sc.c dbgm_sf.c dbgm_sm.c \
	dbgm_sr.c dbgm_ss.c dbgv_s0.c dbgv_s1.c dbgv_s10.c dbgv_s11.c dbgv_s12.c \
	dbgv_s13.c dbgv_s14.c dbgv_s15.c dbgv_s16.c dbgv_s17.c dbgv_s18.c \
	dbgv_s19.c dbgv_s2.c dbgv_s20.c dbgv_s21.c dbgv_s22.c dbgv_s23.c \
	dbgv_s24.c dbgv_s25.c dbgv_s26.c dbgv_s27.c dbgv_s28.c dbgv_s29.c \
	dbgv_s3.c dbgv_s30.c dbgv_s31.c dbgv_s32.c dbgv_s33.c dbgv_s34.c \
	dbgv_s35.c dbgv_s4.c dbgv_s5.c dbgv_s6.c dbgv_s7.c dbgv_s8.c dbgv_s9.c \
	dfn_tmpn.c dfnbnam.c dfndeli2.c dfndelim.c dfnexpan.c dfnfnam.c \
	dfnfrpl.c dfnfull2.c dfnfullp.c dfnisunc.c dfnmatc2.c dfnmatch.c \
	dfnmerge.c dfnmkfil.c dfnmktmp.c dfnpath.c dfnsearc.c dfnsplit.c \
	dfnsquee.c dfnstat.c dfntruen.c dfnunc.c dfnwrdir.c dmemcmp.c dmemcmp2.c \
	dmemcmp3.c dmemcmpf.c dmemfupr.c dmemupr.c dmemuprf.c dosalloc.c \
	dosfree.c dossize.c dpeekb.c dpeekw.c dstrappc.c dstrappd.c dstrappe.c \
	dstrbeg.c dstrcat.c dstrchar.c dstrchr.c dstrcmp.c dstrcmpf.c dstrconc.c \
	dstrcpy.c dstrcstr.c dstrdup.c dstrdupe.c dstrfupr.c dstrleft.c \
	dstrmid.c dstrnlen.c dstrquot.c dstrrepl.c dstrrigh.c dstrstri.c \
	dstrtail.c dstrtoke.c dstrtrim.c dstrunqt.c dstrunqu.c dstrupr.c \
	dstruprf.c dstrword.c dta.c eeclose.c eecreate.c eeerror.c eefseek.c \
	eeget.c eegetlin.c eegetpos.c eegets.c eeopen.c eeput.c eeputs.c \
	eerderr.c eeseek.c eesetpos.c eestrcon.c eetmpdir.c eetmpfil.c \
	eetmpnam.c eewrerr.c eexclose.c eexopen.c env_add.c env_chg.c env_chk.c \
	env_clr.c env_cpy.c env_del.c env_dvar.c env_fany.c env_find.c \
	env_fora.c env_free.c env_ftch.c env_insv.c env_len.c env_mstr.c \
	env_mtch.c env_new.c env_nosp.c env_nost.c env_ovrw.c env_put.c \
	env_repl.c env_rlsg.c env_scnt.c env_scpy.c env_sdup.c env_sget.c \
	env_shel.c env_sins.c env_size.c env_sput.c env_sset.c env_strg.c \
	env_strs.c env_sub.c env_var1.c env_var2.c fcompare.c ff_dopen.c \
	ff_opnm.c ff_tmpfl.c ff_xopen.c ffcommit.c ffcopy.c ffcopyb.c ffcopyi.c \
	ffcopyl.c ffcopyto.c ffdopen.c ffeof.c ffget.c ffgetlin.c ffgetpos.c \
	ffmaxbuf.c ffopen.c ffposcmp.c ffput.c ffseek.c ffseeki.c ffsetmod.c \
	fftmpdir.c fftmpfil.c fftmpnam.c ffxclall.c ffxclose.c ffxdflt.c \
	ffxinfo.c ffxopen.c fgetpos.c filefind.c fmemchr.c fmemcmp.c fmemcmpi.c \
	fmemcpy.c fmemove.c fmemset.c fnorm.c fputmc.c fstpcpy.c fstrchr.c \
	fstrcmp.c fstrcmpi.c fstrcpy.c fstrdup.c fstrlen.c getbdisk.c getdisk.c \
	getopt.c getoptb0.c getopti.c getoptl.c getoptlo.c getoptrs.c gm_chgm.c \
	gm_cmem.c gm_dup.c gm_dupe.c gm_gtmem.c gm_nwstr.c gm_res.c gm_ssize.c \
	invokedo.c isodigit.c longaddi.c longaddu.c longclr.c longcmp.c \
	longdivi.c longdivu.c longmuli.c longmulu.c longseti.c longsetu.c \
	longshln.c longshrn.c longsubi.c longsubu.c mcb_1st.c mcb_apar.c \
	mcb_env.c mcb_is.c mcb_leng.c mcb_mstr.c mcb_nxt.c mcb_owne.c mcb_pare.c \
	mcb_psp.c mcb_shel.c mcb_toen.c mcb_walk.c memccmp.c memcmpi.c nlsdate.c \
	nlstime.c osvers.c peekd.c peekdd.c poked.c pokedd.c psp_.c s_lkpwd.c \
	s_skipwd.c s_skipws.c s_snglwd.c setdisk.c stpcat.c stpcpy.c strbool.c \
	strchg_.c strnum.c strtod.c syslogc.c syslogl.c syslogo.c syslogp.c \
	syslogr.c syslogs.c syslogv.c syslogx.c toupperx.c toxdigit.c
OBJ = _flags.obj _getdcwd.obj addu.obj app_file.obj app_filx.obj \
	app_ienv.obj app_ievx.obj app_ini_.obj app_init.obj app_inix.obj \
	app_name.obj app_namx.obj app_path.obj app_patx.obj app_vars.obj \
	byte2par.obj cntry.obj commit.obj ctrlbrk.obj dbgf_chg.obj dbgf_cl.obj \
	dbgf_cle.obj dbgf_clg.obj dbgf_dl.obj dbgf_dpl.obj dbgf_et.obj \
	dbgf_ex2.obj dbgf_ext.obj dbgf_fl.obj dbgf_flg.obj dbgf_flh.obj \
	dbgf_ien.obj dbgf_lgh.obj dbgf_lgi.obj dbgf_lgt.obj dbgf_lk.obj \
	dbgf_log.obj dbgf_lv.obj dbgf_mfi.obj dbgf_mi.obj dbgf_mki.obj \
	dbgf_ml.obj dbgf_pop.obj dbgf_prt.obj dbgf_psh.obj dbgf_var.obj \
	dbgm_chk.obj dbgm_ckh.obj dbgm_lc.obj dbgm_lf.obj dbgm_lm.obj \
	dbgm_lr.obj dbgm_ls.obj dbgm_sc.obj dbgm_sf.obj dbgm_sm.obj dbgm_sr.obj \
	dbgm_ss.obj dbgv_s0.obj dbgv_s1.obj dbgv_s10.obj dbgv_s11.obj \
	dbgv_s12.obj dbgv_s13.obj dbgv_s14.obj dbgv_s15.obj dbgv_s16.obj \
	dbgv_s17.obj dbgv_s18.obj dbgv_s19.obj dbgv_s2.obj dbgv_s20.obj \
	dbgv_s21.obj dbgv_s22.obj dbgv_s23.obj dbgv_s24.obj dbgv_s25.obj \
	dbgv_s26.obj dbgv_s27.obj dbgv_s28.obj dbgv_s29.obj dbgv_s3.obj \
	dbgv_s30.obj dbgv_s31.obj dbgv_s32.obj dbgv_s33.obj dbgv_s34.obj \
	dbgv_s35.obj dbgv_s4.obj dbgv_s5.obj dbgv_s6.obj dbgv_s7.obj dbgv_s8.obj \
	dbgv_s9.obj dfn_tmpn.obj dfnbnam.obj dfndeli2.obj dfndelim.obj \
	dfnexpan.obj dfnfnam.obj dfnfrpl.obj dfnfull2.obj dfnfullp.obj \
	dfnisunc.obj dfnmatc2.obj dfnmatch.obj dfnmerge.obj dfnmkfil.obj \
	dfnmktmp.obj dfnpath.obj dfnsearc.obj dfnsplit.obj dfnsquee.obj \
	dfnstat.obj dfntruen.obj dfnunc.obj dfnwrdir.obj dmemcmp.obj \
	dmemcmp2.obj dmemcmp3.obj dmemcmpf.obj dmemfupr.obj dmemupr.obj \
	dmemuprf.obj dosalloc.obj dosfree.obj dossize.obj dpeekb.obj dpeekw.obj \
	dstrappc.obj dstrappd.obj dstrappe.obj dstrbeg.obj dstrcat.obj \
	dstrchar.obj dstrchr.obj dstrcmp.obj dstrcmpf.obj dstrconc.obj \
	dstrcpy.obj dstrcstr.obj dstrdup.obj dstrdupe.obj dstrfupr.obj \
	dstrleft.obj dstrmid.obj dstrnlen.obj dstrquot.obj dstrrepl.obj \
	dstrrigh.obj dstrstri.obj dstrtail.obj dstrtoke.obj dstrtrim.obj \
	dstrunqt.obj dstrunqu.obj dstrupr.obj dstruprf.obj dstrword.obj dta.obj \
	eeclose.obj eecreate.obj eeerror.obj eefseek.obj eeget.obj eegetlin.obj \
	eegetpos.obj eegets.obj eeopen.obj eeput.obj eeputs.obj eerderr.obj \
	eeseek.obj eesetpos.obj eestrcon.obj eetmpdir.obj eetmpfil.obj \
	eetmpnam.obj eewrerr.obj eexclose.obj eexopen.obj env_add.obj \
	env_chg.obj env_chk.obj env_clr.obj env_cpy.obj env_del.obj env_dvar.obj \
	env_fany.obj env_find.obj env_fora.obj env_free.obj env_ftch.obj \
	env_insv.obj env_len.obj env_mstr.obj env_mtch.obj env_new.obj \
	env_nosp.obj env_nost.obj env_ovrw.obj env_put.obj env_repl.obj \
	env_rlsg.obj env_scnt.obj env_scpy.obj env_sdup.obj env_sget.obj \
	env_shel.obj env_sins.obj env_size.obj env_sput.obj env_sset.obj \
	env_strg.obj env_strs.obj env_sub.obj env_var1.obj env_var2.obj \
	fcompare.obj ff_dopen.obj ff_opnm.obj ff_tmpfl.obj ff_xopen.obj \
	ffcommit.obj ffcopy.obj ffcopyb.obj ffcopyi.obj ffcopyl.obj ffcopyto.obj \
	ffdopen.obj ffeof.obj ffget.obj ffgetlin.obj ffgetpos.obj ffmaxbuf.obj \
	ffopen.obj ffposcmp.obj ffput.obj ffseek.obj ffseeki.obj ffsetmod.obj \
	fftmpdir.obj fftmpfil.obj fftmpnam.obj ffxclall.obj ffxclose.obj \
	ffxdflt.obj ffxinfo.obj ffxopen.obj fgetpos.obj filefind.obj fmemchr.obj \
	fmemcmp.obj fmemcmpi.obj fmemcpy.obj fmemove.obj fmemset.obj fnorm.obj \
	fputmc.obj fstpcpy.obj fstrchr.obj fstrcmp.obj fstrcmpi.obj fstrcpy.obj \
	fstrdup.obj fstrlen.obj getbdisk.obj getdisk.obj getopt.obj getoptb0.obj \
	getopti.obj getoptl.obj getoptlo.obj getoptrs.obj gm_chgm.obj \
	gm_cmem.obj gm_dup.obj gm_dupe.obj gm_gtmem.obj gm_nwstr.obj gm_res.obj \
	gm_ssize.obj invokedo.obj isodigit.obj longaddi.obj longaddu.obj \
	longclr.obj longcmp.obj longdivi.obj longdivu.obj longmuli.obj \
	longmulu.obj longseti.obj longsetu.obj longshln.obj longshrn.obj \
	longsubi.obj longsubu.obj mcb_1st.obj mcb_apar.obj mcb_env.obj \
	mcb_is.obj mcb_leng.obj mcb_mstr.obj mcb_nxt.obj mcb_owne.obj \
	mcb_pare.obj mcb_psp.obj mcb_shel.obj mcb_toen.obj mcb_walk.obj \
	memccmp.obj memcmpi.obj nlsdate.obj nlstime.obj osvers.obj peekd.obj \
	peekdd.obj poked.obj pokedd.obj psp_.obj s_lkpwd.obj s_skipwd.obj \
	s_skipws.obj s_snglwd.obj setdisk.obj stpcat.obj stpcpy.obj strbool.obj \
	strchg_.obj strnum.obj strtod.obj syslogc.obj syslogl.obj syslogo.obj \
	syslogp.obj syslogr.obj syslogs.obj syslogv.obj syslogx.obj toupperx.obj \
	toxdigit.obj
HDR = addu.pac appname.h appname.loc cfg.h cfg.loc cfg_base.h cntry.h dfn.h \
	dfn.loc dfnfullp.c dfnmatch.c dir.loc dta.pac dynstr.h environ.h \
	environ.loc errcodes.h fmemory.h fmemory.loc getopt.h getopt.src \
	initsupl.loc mcb.h msgs.h msgs.lng msgs.loc msgs_w.loc nls.h nls.loc \
	nls\english.err nls\english.lng nls_c.h nls_f.h osvers.pac psp_.pac \
	sstr.h str.h str.loc supl_def.h suppl.h suppldbg.h suppldbg.loc \
	supplio.h supplio.loc syslog.h syslog.loc


# What additionial sources we have for which compiler
SRC_ADD = $(DYNSOURCES) $(SRC_ADD_$(_COMPTYPE)) $(ERRFCT_SRC) $(STRFCT_SRC)
SRC_ADD_MC = cb_catch.asm
SRC_ADD_PAC = pac_cbcs.as pac_cbcl.as

OBJ_ADD = $(SRC_ADD:s/.c/.obj/:s/.asm/.obj/)

MODELS_MC = s
MODELS_BC = t s m c l h
# MYCFLAGS = -I. # TEST=YES
MSGLIB !:= 
MSGDCL !:= 
# Check out, which objects are needed

#
#First target
#
all .GROUP : $(CFG) $(XPRG)

install : all	# copy library into Free-Dos library dir
	-+touch $(FDLIB)\PROBE >nul
	-+if not exist $(FDLIB)\PROBE mkdir $(FDLIB)
	-+if exist $(FDLIB)\PROBE del $(FDLIB)\PROBE >nul
	-+copy $(XPRG) $(FDLIB) >nul
.IF $(AR_LIBR)
	-+$(AR) s $(XPRG) >$(XPRG:db).lst 
.ENDIF
	-+copy $(XPRG:db).lst $(FDLIB) >nul
	-+copy *.h $(FDINC) >nul
	-+copy *.h $(MCDIR) >nul

#
# Create the distribution ZIP
#
dist distribution .PHONY .NOSTATE .GROUP .SEQUENTIAL : clobber $(CFG) dist2 dist1
	type $(mktmp $(SRC:t"\n")\n) >compile.ccc
	type $(mktmp $(SRC:db:+".obj":t"\n")\n) >compile.lll
# As this Makefile is prepared only for Micro-C and Borland C
	type $(mktmp $(SRC_ADD:t"\n")\n) >dyn_src
	type $(mktmp $(SRC_ADD:db:+".obj":t"\n")\n) >dyn_obj
#	type $(mktmp $(SRC_ADD_MC:t"\n")\n) >mc_compi.ccc
#	type $(mktmp $(SRC_ADD_MC:db:+".obj":t"\n")\n) >mc_compi.lll
#	type $(mktmp $(SRC_ADD_BC:t"\n")\n) >bc_compi.ccc
#	type $(mktmp $(SRC_ADD_BC:db:+".obj":t"\n")\n) >bc_compi.lll
	type readme.1 >file_id.diz
	type $(mktmp \t\tRelease Version $(VERSION)\n) >>file_id.diz
	type readme.2 >>file_id.diz
	echo VERSION_MAJOR := $(VERSION_MAJOR) >version.mk
	echo VERSION_MINOR := %@eval[$(VERSION_MINOR)+1] >>version.mk
	for %%a in (t s c m l h) do if exist errlist._%%a del errlist._%%a
	$(MAKE) erfc_001.c stfc_001.c nls/english.err
	$(MAKE) erfc_001.c stfc_001.c nls/english.err
	$Y
	mk_dist
	$Y
	cd dist
	zip -0 -r -m xsuppl source
	$Y
	zip -9 -m SUPPL$(VERSION:s/.//) xsuppl.zip file_id.diz
	$Y

dist1 .GROUP .PHONY .NOSTATE :
	if "$(VERSION)" == "" echo No version information accessable!
	if "$(VERSION)" == "" goto ende
	grep "Release Version $(VERSION)" history
	if not errorlevel 1 echo Version $(VERSION) already released!
	if not errorlevel 1 goto ende
	echo. >changed.111
	echo Release Version $(VERSION): >>changed.111
	echo. >>changed.111
	if exist changed type changed >>changed.111
	if exist changed del changed >nul
	ren changed.111 changed
	if not exist changed goto ende
	call cii

dist2 .PHONY .NOSTATE :
	perl upd_ccc.pl cfg*.c

# Check, if this will compile under other circumstances
.IF $(LASTMAKE) != $(THISMAKE)

libcpyecho .GROUP .NOSTATE .PHONY :
	echo Change in Make parameters detected!
	echo Local files invalid and are removed
	echo.

libcpy .PHONY .GROUP .NOINFER .NOSTATE .SEQUENTIAL : libcpyecho libclobber $(CFG)
	echo LASTMAKE_MODEL := $(_MODEL) >lastmake.mk
	echo LASTMAKE_COMPILER := $(_COMPILER) >>lastmake.mk
	echo LASTMAKE_NDEBUG := $(null,$(NDEBUG) $(NULL) Y) >>lastmake.mk
.ELSE
# Do nothing
libcpy : $(CFG)

.ENDIF

.IF $(_COMPTYPE) == MC
inst_all install_all .UPDATEALL .SEQUENTIAL .PHONY : inst_s inst_t
.ELSE
inst_all install_all .UPDATEALL .SEQUENTIAL .PHONY : inst_s inst_t inst_m inst_c inst_l inst_h
.ENDIF

.INIT .NOINFER .NOSTATE : tags $(CFG) errlist libcpy loginput # Will make the utilizing files

loginput .NOSTATE .PHONY :
	+type $(mktmp MAKETARGETS: $(MAKETARGETS)\nMAKEMACROS: $(MAKEMACROS)\nMAKEFLAGS: $(MAKEFLAGS)\nMAKE: $(MAKE)\n) >>errlist

#
#C initialization file
#
.IF $(CFG)
# Compiler configuration file, for Borland C only
# options: no Windows, no RTTI, use pre-compiled headers, no floating point
# no pre-compiled headers (more than 50MB now)

.IF $(_COMPTYPE) == TC
CONFIGURATION = -X-	\
-I.;$(INCDIR)	\
-L.;$(LIBDIR)	\
-w -1-

# -DSUPPL_ALWAYS_DEBUG_MEMORY -DSUPPL_ALWAYS_DEBUG_HEAD
.ENDIF

.IF $(_COMPTYPE) == BC
CONFIGURATION = -W-	\
-X-	\
-H=suppl.csm	\
-H-	\
-I.;$(INCDIR)	\
-L.;$(LIBDIR)	\
-f-	\
-ff-	\
-w

# -DSUPPL_ALWAYS_DEBUG_MEMORY -DSUPPL_ALWAYS_DEBUG_HEAD

.IF $(_COMPILER) == BC45
CONFIGURATION += -RT-
.ENDIF
.IF $(_COMPILER) == BC5
CONFIGURATION += -RT-
.ENDIF
.IF $(_COMPILER) == BC52
CONFIGURATION += -RT-
.ENDIF
.ENDIF

.IF $(_COMPTYPE) == WC
CONFIGURATION = -bt=dos		\
-fhq=suppl.pch		\
-i$(FDINC)			\
-i$(INCDIR)			\
-oa		\
-oi		\
-ol+		\
-or		\
-os		\
-s		\
-wx
.ENDIF

#$(CFG) .NOSTATE : $(MAKEFILE:s/-f//)
#	+Type $(mktmp $(CONFIGURATION:t"\n")\n) >$@

.ENDIF


suppl_t : 
	$(MAKE) MODEL!:=t all
	+copy errlist errlist._t
suppl_s : 
	$(MAKE) MODEL!:=s all
	+copy errlist errlist._c
suppl_m : 
	$(MAKE) MODEL!:=m all
	+copy errlist errlist._m
suppl_c : 
	$(MAKE) MODEL!:=c all
	+copy errlist errlist._c
suppl_l : 
	$(MAKE) MODEL!:=l all
	+copy errlist errlist._l
suppl_h : 
	$(MAKE) MODEL!:=h all
	+copy errlist errlist._h
inst_t : 
	$(MAKE) MODEL!:=t install
	+copy errlist errlist._t
inst_s : 
	$(MAKE) MODEL!:=s install
	+copy errlist errlist._s
inst_m : 
	$(MAKE) MODEL!:=m install
	+copy errlist errlist._m
inst_c : 
	$(MAKE) MODEL!:=c install
	+copy errlist errlist._c
inst_l : 
	$(MAKE) MODEL!:=l install
	+copy errlist errlist._l
inst_h : 
	$(MAKE) MODEL!:=h install
	+copy errlist errlist._h


####	Dynamically generated files

#	Error functions
### Does not work?!
# err_func.mk :
err_func.mk erfc_001.c .UPDATEALL : msgs.h msgs.loc
	perl mkerrfct.pl $&

# Source in ERRFCT_SRC with the error function source code files
.INCLUDE : err_func.mk

#	String functions
str_func.mk stfc_001.c .UPDATEALL : str_fct.dat sstr.src
	perl mkstrfct.pl str_fct.dat

# Source in STRFCT_SRC with the string function source code files
.INCLUDE : str_func.mk

# cfg error codes
nls/english.err cfgi_tbl.loc .UPDATEALL : inifile.h
	perl mkerrcod.pl



cb_catch.obj : cb_catch.asm


#MAKEDEP START
#MAKEDEP DEFINE getoptx.c:=getopt.src GETOPT_JUST_VERSION_NUMBER
#MAKEDEP DEFINE getoptx1.c:=getoptl.c GETOPT_LONG_NO_FLAG_MEMBER
#MAKEDEP DEFINE getoptx2.c:=getoptlo.c GETOPT_LONG_NO_FLAG_MEMBER
#MAKEDEP DEFINE dfnumerg.c:=dfnmerge.c SUPPORT_UNC_PATH
#MAKEDEP DEFINE dfnuspli.c:=dfnsplit.c SUPPORT_UNC_PATH
#MAKEDEP DEFINE dfnuexpa.c:=dfnexpan.c SUPPORT_UNC_PATH
#MAKEDEP DEFINE dfnufull.c:=dfnfullp.c SUPPORT_UNC_PATH
#MAKEDEP DEFINE dfnuful2.c:=dfnfull2.c SUPPORT_UNC_PATH
#MAKEDEP DEFINE dfnusque.c:=dfnsquee.c SUPPORT_UNC_PATH
#MAKEDEP DEFINE dfnumatc.c:=dfnmatch.c SUPPORT_UNC_PATH
#MAKEDEP DEFINE dfnumat2.c:=dfnmatc2.c SUPPORT_UNC_PATH
getoptx.c .GROUP : getopt.src
	echo #define GETOPT_JUST_VERSION_NUMBER >$@
	type $< >>$@
getoptx1.c .GROUP : getoptl.c
	echo #define GETOPT_LONG_NO_FLAG_MEMBER >$@
	type $< >>$@
getoptx2.c .GROUP : getoptlo.c
	echo #define GETOPT_LONG_NO_FLAG_MEMBER >$@
	type $< >>$@
dfnumerg.c .GROUP : dfnmerge.c
	echo #define SUPPORT_UNC_PATH >$@
	type $< >>$@
dfnuspli.c .GROUP : dfnsplit.c
	echo #define SUPPORT_UNC_PATH >$@
	type $< >>$@
dfnuexpa.c .GROUP : dfnexpan.c
	echo #define SUPPORT_UNC_PATH >$@
	type $< >>$@
dfnufull.c .GROUP : dfnfullp.c
	echo #define SUPPORT_UNC_PATH >$@
	type $< >>$@
dfnuful2.c .GROUP : dfnfull2.c
	echo #define SUPPORT_UNC_PATH >$@
	type $< >>$@
dfnusque.c .GROUP : dfnsquee.c
	echo #define SUPPORT_UNC_PATH >$@
	type $< >>$@
dfnumatc.c .GROUP : dfnmatch.c
	echo #define SUPPORT_UNC_PATH >$@
	type $< >>$@
dfnumat2.c .GROUP : dfnmatc2.c
	echo #define SUPPORT_UNC_PATH >$@
	type $< >>$@
dfnumat2.obj : dfnumat2.c \
	 dfn.h dfn.loc dfnmatch.c dir.loc initsupl.loc supl_def.h suppldbg.h \
	syslog.h
getoptx1.obj : getoptx1.c \
	 dynstr.h getopt.h getopt.src msgs.h msgs_w.loc nls_c.h sstr.h suppl.h
dfnuexpa.obj : dfnuexpa.c \
	 dfn.h dfn.loc dir.loc dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h \
	suppl.h suppldbg.h syslog.h
dfnuspli.obj : dfnuspli.c \
	 dfn.h dfn.loc dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
dfnumatc.obj : dfnumatc.c \
	 dfn.h dfn.loc dir.loc initsupl.loc supl_def.h suppldbg.h syslog.h
getoptx.obj : getoptx.c
dfnumerg.obj : dfnumerg.c \
	 dfn.h dfn.loc initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dfnusque.obj : dfnusque.c \
	 dfn.h dfn.loc dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
dfnufull.obj : dfnufull.c \
	 dfn.h dfn.loc dir.loc dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h \
	suppl.h suppldbg.h syslog.h
dfnuful2.obj : dfnuful2.c \
	 dfn.h dfn.loc dfnfullp.c dir.loc dynstr.h initsupl.loc nls_c.h sstr.h \
	supl_def.h suppl.h suppldbg.h syslog.h
getoptx2.obj : getoptx2.c \
	 dynstr.h getopt.h getopt.src msgs.h msgs_w.loc nls_c.h sstr.h suppl.h
pokedd.obj : pokedd.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
mcb_mstr.obj : mcb_mstr.c \
	 environ.h initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
dbgv_s20.obj : dbgv_s20.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dstrchr.obj : dstrchr.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dstrchar.obj : dstrchar.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dfnsquee.obj : dfnsquee.c \
	 dfn.h dfn.loc dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
dbgv_s24.obj : dbgv_s24.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dbgv_s28.obj : dbgv_s28.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dbgf_cl.obj : dbgf_cl.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
fnorm.obj : fnorm.c \
	 initsupl.loc supl_def.h
ffeof.obj : ffeof.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
dbgf_clg.obj : dbgf_clg.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
toxdigit.obj : toxdigit.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dfnfrpl.obj : dfnfrpl.c \
	 dfn.h dfn.loc errcodes.h initsupl.loc supl_def.h suppldbg.h syslog.h
ffcopyi.obj : ffcopyi.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
psp_.obj : psp_.c \
	 initsupl.loc psp_.pac supl_def.h suppldbg.h syslog.h
eeerror.obj : eeerror.c \
	 initsupl.loc msgs.h msgs_w.loc supl_def.h suppldbg.h supplio.h \
	syslog.h
dfnfnam.obj : dfnfnam.c \
	 dfn.h dfn.loc initsupl.loc supl_def.h suppldbg.h syslog.h
dbgv_s33.obj : dbgv_s33.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
getopti.obj : getopti.c \
	 getopt.h initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h \
	syslog.h
dstrcmp.obj : dstrcmp.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dpeekw.obj : dpeekw.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dstrappc.obj : dstrappc.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
longsubi.obj : longsubi.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
env_var2.obj : env_var2.c \
	 environ.h initsupl.loc supl_def.h
dfndelim.obj : dfndelim.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
syslogc.obj : syslogc.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h supplio.h \
	syslog.h syslog.loc
mcb_psp.obj : mcb_psp.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
env_sset.obj : env_sset.c \
	 environ.h initsupl.loc supl_def.h
dbgf_prt.obj : dbgf_prt.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
env_ftch.obj : env_ftch.c \
	 environ.h environ.loc fmemory.h initsupl.loc supl_def.h suppldbg.h \
	syslog.h
dbgf_lgh.obj : dbgf_lgh.c \
	 appname.h cntry.h dfn.h dynstr.h initsupl.loc msgs.h msgs_w.loc nls.h \
	nls_c.h sstr.h supl_def.h suppl.h suppldbg.h suppldbg.loc supplio.h \
	syslog.h syslog.loc
longsubu.obj : longsubu.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dfnmatc2.obj : dfnmatc2.c \
	 dfn.h dfn.loc dfnmatch.c dir.loc initsupl.loc supl_def.h suppldbg.h \
	syslog.h
syslogo.obj : syslogo.c \
	 appname.h dfn.h dynstr.h initsupl.loc msgs.h msgs_w.loc nls_c.h \
	sstr.h supl_def.h suppldbg.h supplio.h syslog.h syslog.loc
syslogs.obj : syslogs.c \
	 appname.h cntry.h dfn.h initsupl.loc nls.h supl_def.h suppl.h \
	suppldbg.h supplio.h syslog.h syslog.loc
s_lkpwd.obj : s_lkpwd.c \
	 initsupl.loc msgs.h msgs.loc msgs_w.loc str.h str.loc supl_def.h \
	suppldbg.h syslog.h
eetmpnam.obj : eetmpnam.c \
	 initsupl.loc msgs.h msgs.loc msgs_w.loc supl_def.h suppldbg.h \
	supplio.h supplio.loc syslog.h
dstrcstr.obj : dstrcstr.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dbgf_lgt.obj : dbgf_lgt.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h \
	syslog.loc
eetmpdir.obj : eetmpdir.c \
	 dfn.h dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h \
	supplio.h supplio.loc syslog.h
eewrerr.obj : eewrerr.c \
	 initsupl.loc msgs.h msgs_w.loc supl_def.h suppldbg.h supplio.h \
	syslog.h
ffseeki.obj : ffseeki.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
env_rlsg.obj : env_rlsg.c \
	 environ.h environ.loc initsupl.loc supl_def.h suppldbg.h syslog.h
app_file.obj : app_file.c \
	 appname.h appname.loc dfn.h initsupl.loc supl_def.h suppldbg.h \
	syslog.h
dbgf_pop.obj : dbgf_pop.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
fmemchr.obj : fmemchr.c \
	 fmemory.h initsupl.loc supl_def.h
env_size.obj : env_size.c \
	 environ.h environ.loc initsupl.loc mcb.h supl_def.h suppl.h \
	suppldbg.h syslog.h
strbool.obj : strbool.c \
	 cfg.h cfg.loc cfg_base.h dynstr.h initsupl.loc msgs.h msgs.loc \
	msgs_w.loc nls_c.h sstr.h str.h supl_def.h suppldbg.h syslog.h
ffcopy.obj : ffcopy.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
commit.obj : commit.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h suppldbg.loc supplio.h \
	syslog.h
strchg_.obj : strchg_.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dbgf_ml.obj : dbgf_ml.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dbgf_flg.obj : dbgf_flg.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
ffget.obj : ffget.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
fcompare.obj : fcompare.c \
	 initsupl.loc supl_def.h
env_fora.obj : env_fora.c \
	 environ.h environ.loc initsupl.loc supl_def.h suppldbg.h syslog.h
longclr.obj : longclr.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dbgm_lm.obj : dbgm_lm.c \
	 initsupl.loc msgs.h msgs.lng msgs.loc msgs_w.loc nls/english.err \
	nls/english.lng supl_def.h suppldbg.h syslog.h
env_mtch.obj : env_mtch.c \
	 dynstr.h environ.h environ.loc fmemory.h initsupl.loc nls_c.h sstr.h \
	supl_def.h suppl.h suppldbg.h syslog.h
dfnexpan.obj : dfnexpan.c \
	 dfn.h dfn.loc dir.loc dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h \
	suppl.h suppldbg.h syslog.h
app_init.obj : app_init.c \
	 appname.h appname.loc dfn.h errcodes.h initsupl.loc supl_def.h \
	suppldbg.h syslog.h
fgetpos.obj : fgetpos.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
eefseek.obj : eefseek.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
dbgv_s12.obj : dbgv_s12.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
app_inix.obj : app_inix.c \
	 appname.h appname.loc dfn.h errcodes.h initsupl.loc supl_def.h \
	suppldbg.h syslog.h
dmemupr.obj : dmemupr.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dfnisunc.obj : dfnisunc.c \
	 dfn.h dfn.loc dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
eegetpos.obj : eegetpos.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
dbgv_s16.obj : dbgv_s16.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dfnfull2.obj : dfnfull2.c \
	 dfn.h dfn.loc dfnfullp.c dir.loc dynstr.h initsupl.loc nls_c.h sstr.h \
	supl_def.h suppl.h suppldbg.h syslog.h
dmemfupr.obj : dmemfupr.c \
	 initsupl.loc nls_f.h supl_def.h suppldbg.h syslog.h
dbgf_ex2.obj : dbgf_ex2.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dfnsplit.obj : dfnsplit.c \
	 dfn.h dfn.loc dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
fmemcmp.obj : fmemcmp.c \
	 fmemory.h initsupl.loc supl_def.h
dfntruen.obj : dfntruen.c \
	 dfn.h dfn.loc dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppl.h \
	suppldbg.h syslog.h
dbgv_s1.obj : dbgv_s1.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
fstrdup.obj : fstrdup.c \
	 dynstr.h fmemory.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h \
	syslog.h
dfnmerge.obj : dfnmerge.c \
	 dfn.h dfn.loc initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dfndeli2.obj : dfndeli2.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
mcb_owne.obj : mcb_owne.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
env_free.obj : env_free.c \
	 environ.h fmemory.h initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
eeget.obj : eeget.c \
	 initsupl.loc msgs.h msgs_w.loc supl_def.h suppldbg.h supplio.h \
	syslog.h
dbgv_s5.obj : dbgv_s5.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
ffxclall.obj : ffxclall.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
dbgv_s9.obj : dbgv_s9.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dbgv_s21.obj : dbgv_s21.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dstrword.obj : dstrword.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dstruprf.obj : dstruprf.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
nlstime.obj : nlstime.c \
	 cntry.h initsupl.loc nls.h nls.loc supl_def.h suppl.h suppldbg.h \
	syslog.h
longdivi.obj : longdivi.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
fstrchr.obj : fstrchr.c \
	 fmemory.h initsupl.loc supl_def.h
dbgv_s25.obj : dbgv_s25.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
mcb_shel.obj : mcb_shel.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
eecreate.obj : eecreate.c \
	 initsupl.loc msgs.h msgs_w.loc supl_def.h suppldbg.h supplio.h \
	syslog.h
eeclose.obj : eeclose.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
dbgv_s29.obj : dbgv_s29.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dfnmktmp.obj : dfnmktmp.c \
	 dfn.h dfn.loc dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppl.h \
	suppldbg.h syslog.h
dfnpath.obj : dfnpath.c \
	 dfn.h dfn.loc dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppl.h \
	suppldbg.h syslog.h
longdivu.obj : longdivu.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
env_strg.obj : env_strg.c \
	 environ.h environ.loc initsupl.loc supl_def.h suppldbg.h syslog.h
strnum.obj : strnum.c \
	 initsupl.loc str.h str.loc supl_def.h suppldbg.h syslog.h
ffcopyb.obj : ffcopyb.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
dstrcpy.obj : dstrcpy.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
gm_gtmem.obj : gm_gtmem.c \
	 dynstr.h initsupl.loc msgs.h msgs_w.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
dbgm_chk.obj : dbgm_chk.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
env_strs.obj : env_strs.c \
	 environ.h initsupl.loc supl_def.h suppldbg.h syslog.h
dstrupr.obj : dstrupr.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
ctrlbrk.obj : ctrlbrk.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
dstrcat.obj : dstrcat.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
env_ovrw.obj : env_ovrw.c \
	 environ.h environ.loc errcodes.h fmemory.h initsupl.loc supl_def.h \
	suppldbg.h syslog.h
dfnbnam.obj : dfnbnam.c \
	 dfn.h dfn.loc initsupl.loc supl_def.h suppldbg.h syslog.h
setdisk.obj : setdisk.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
dbgv_s30.obj : dbgv_s30.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dbgv_s34.obj : dbgv_s34.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
fstrcmp.obj : fstrcmp.c \
	 fmemory.h fmemory.loc initsupl.loc supl_def.h
mcb_walk.obj : mcb_walk.c \
	 initsupl.loc mcb.h supl_def.h suppl.h suppldbg.h syslog.h
filefind.obj : filefind.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dossize.obj : dossize.c \
	 initsupl.loc mcb.h supl_def.h suppl.h suppldbg.h syslog.h
dstrappd.obj : dstrappd.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dbgf_dl.obj : dbgf_dl.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dstrrigh.obj : dstrrigh.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
mcb_1st.obj : mcb_1st.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
byte2par.obj : byte2par.c \
	 initsupl.loc supl_def.h
syslogl.obj : syslogl.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h syslog.loc
dbgf_lgi.obj : dbgf_lgi.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h \
	syslog.loc
syslogp.obj : syslogp.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h syslog.loc
gm_nwstr.obj : gm_nwstr.c \
	 dynstr.h initsupl.loc msgs.h msgs_w.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
eeseek.obj : eeseek.c \
	 initsupl.loc msgs.h msgs_w.loc supl_def.h suppldbg.h supplio.h \
	syslog.h
eexopen.obj : eexopen.c \
	 initsupl.loc msgs.h msgs_w.loc supl_def.h suppldbg.h supplio.h \
	syslog.h
dbgf_log.obj : dbgf_log.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dbgf_lv.obj : dbgf_lv.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
eetmpfil.obj : eetmpfil.c \
	 initsupl.loc msgs.h msgs.loc msgs_w.loc supl_def.h suppldbg.h \
	supplio.h supplio.loc syslog.h
ffsetmod.obj : ffsetmod.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
syslogx.obj : syslogx.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h syslog.loc
dbgm_sm.obj : dbgm_sm.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
env_del.obj : env_del.c \
	 environ.h environ.loc initsupl.loc mcb.h supl_def.h suppl.h \
	suppldbg.h syslog.h
dbgf_psh.obj : dbgf_psh.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h \
	suppldbg.loc supplio.h syslog.h
strtod.obj : strtod.c \
	 initsupl.loc supl_def.h
longaddi.obj : longaddi.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dbgf_mi.obj : dbgf_mi.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dosfree.obj : dosfree.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
env_find.obj : env_find.c \
	 environ.h fmemory.h initsupl.loc supl_def.h suppldbg.h syslog.h
nlsdate.obj : nlsdate.c \
	 cntry.h initsupl.loc nls.h nls.loc supl_def.h suppl.h suppldbg.h \
	syslog.h
dbgm_lf.obj : dbgm_lf.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
dbgf_flh.obj : dbgf_flh.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
mcb_is.obj : mcb_is.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
longaddu.obj : longaddu.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dbgf_mfi.obj : dbgf_mfi.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h \
	suppldbg.loc supplio.h syslog.h
cntry.obj : cntry.c \
	 cntry.h fmemory.h initsupl.loc str.h supl_def.h suppl.h suppldbg.h \
	syslog.h
fmemcpy.obj : fmemcpy.c \
	 fmemory.h initsupl.loc supl_def.h
getopt.obj : getopt.c \
	 dynstr.h getopt.h getopt.src msgs.h msgs_w.loc nls_c.h sstr.h suppl.h
ffseek.obj : ffseek.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
ffcommit.obj : ffcommit.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dbgm_lr.obj : dbgm_lr.c \
	 initsupl.loc msgs.h msgs.lng msgs.loc msgs_w.loc nls/english.err \
	nls/english.lng supl_def.h suppldbg.h syslog.h
fftmpnam.obj : fftmpnam.c \
	 dfn.h environ.h initsupl.loc supl_def.h suppl.h suppldbg.h supplio.h \
	supplio.loc syslog.h
dbgv_s13.obj : dbgv_s13.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
fftmpdir.obj : fftmpdir.c \
	 dfn.h dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h \
	supplio.h supplio.loc syslog.h
dbgv_s17.obj : dbgv_s17.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
osvers.obj : osvers.c \
	 initsupl.loc osvers.pac supl_def.h suppl.h suppldbg.h syslog.h
eestrcon.obj : eestrcon.c \
	 dynstr.h initsupl.loc msgs.h msgs_w.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
env_sdup.obj : env_sdup.c \
	 environ.h environ.loc fmemory.h initsupl.loc supl_def.h suppldbg.h \
	syslog.h
dbgv_s2.obj : dbgv_s2.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
eerderr.obj : eerderr.c \
	 initsupl.loc msgs.h msgs_w.loc supl_def.h suppldbg.h supplio.h \
	syslog.h
ffcopyto.obj : ffcopyto.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
longshrn.obj : longshrn.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dbgv_s6.obj : dbgv_s6.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
fputmc.obj : fputmc.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
dbgm_ckh.obj : dbgm_ckh.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
dosalloc.obj : dosalloc.c \
	 fmemory.h initsupl.loc mcb.h supl_def.h suppl.h suppldbg.h syslog.h
dbgv_s22.obj : dbgv_s22.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dstrtrim.obj : dstrtrim.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dbgf_var.obj : dbgf_var.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
eeopen.obj : eeopen.c \
	 initsupl.loc msgs.h msgs_w.loc supl_def.h suppldbg.h supplio.h \
	syslog.h
dbgv_s26.obj : dbgv_s26.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
ffgetpos.obj : ffgetpos.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
invokedo.obj : invokedo.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dmemuprf.obj : dmemuprf.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
_getdcwd.obj : _getdcwd.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
ffdopen.obj : ffdopen.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
dbgf_cle.obj : dbgf_cle.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
toupperx.obj : toupperx.c \
	 cntry.h dynstr.h fmemory.h initsupl.loc nls_c.h sstr.h supl_def.h \
	suppl.h suppldbg.h syslog.h
fstrcpy.obj : fstrcpy.c \
	 fmemory.h fmemory.loc initsupl.loc supl_def.h
_flags.obj : _flags.c \
	 initsupl.loc supl_def.h
eegetlin.obj : eegetlin.c \
	 initsupl.loc msgs.h msgs_w.loc supl_def.h suppldbg.h supplio.h \
	syslog.h
env_sub.obj : env_sub.c \
	 environ.h fmemory.h initsupl.loc supl_def.h suppldbg.h syslog.h
s_skipws.obj : s_skipws.c \
	 initsupl.loc str.h supl_def.h suppldbg.h syslog.h
ffxopen.obj : ffxopen.c \
	 dfn.h initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc \
	syslog.h
dstrmid.obj : dstrmid.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dbgv_s31.obj : dbgv_s31.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
env_sget.obj : env_sget.c \
	 environ.h initsupl.loc supl_def.h
app_vars.obj : app_vars.c \
	 appname.h appname.loc dfn.h initsupl.loc supl_def.h suppldbg.h \
	syslog.h
dbgv_s35.obj : dbgv_s35.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
addu.obj : addu.c \
	 addu.pac initsupl.loc supl_def.h
ffopen.obj : ffopen.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
dfnwrdir.obj : dfnwrdir.c \
	 dfn.h dfn.loc initsupl.loc supl_def.h suppldbg.h syslog.h
dstrappe.obj : dstrappe.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dstrcmpf.obj : dstrcmpf.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
longshln.obj : longshln.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
ff_opnm.obj : ff_opnm.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
ffput.obj : ffput.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
longmuli.obj : longmuli.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dbgf_lk.obj : dbgf_lk.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dstrnlen.obj : dstrnlen.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
peekdd.obj : peekdd.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
dbgm_sf.obj : dbgm_sf.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
poked.obj : poked.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
longmulu.obj : longmulu.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
mcb_apar.obj : mcb_apar.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
mcb_leng.obj : mcb_leng.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
getoptrs.obj : getoptrs.c \
	 getopt.h initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h \
	syslog.h
eexclose.obj : eexclose.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
mcb_pare.obj : mcb_pare.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
gm_dup.obj : gm_dup.c \
	 dynstr.h initsupl.loc msgs.h msgs_w.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
gm_res.obj : gm_res.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dbgm_sr.obj : dbgm_sr.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
dstrstri.obj : dstrstri.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
eeput.obj : eeput.c \
	 initsupl.loc msgs.h msgs_w.loc supl_def.h suppldbg.h supplio.h \
	syslog.h
memcmpi.obj : memcmpi.c \
	 initsupl.loc supl_def.h
dbgm_lc.obj : dbgm_lc.c \
	 initsupl.loc msgs.h msgs.lng msgs.loc msgs_w.loc nls/english.err \
	nls/english.lng supl_def.h suppldbg.h syslog.h
fstpcpy.obj : fstpcpy.c \
	 fmemory.h initsupl.loc supl_def.h
dbgf_et.obj : dbgf_et.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
env_mstr.obj : env_mstr.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
ffxdflt.obj : ffxdflt.c \
	 initsupl.loc msgs.h msgs_w.loc supl_def.h suppldbg.h supplio.h \
	supplio.loc syslog.h
dstrrepl.obj : dstrrepl.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
gm_chgm.obj : gm_chgm.c \
	 dynstr.h initsupl.loc msgs.h msgs_w.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
dbgv_s10.obj : dbgv_s10.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
env_fany.obj : env_fany.c \
	 dynstr.h environ.h environ.loc errcodes.h fmemory.h initsupl.loc \
	nls_c.h sstr.h supl_def.h suppl.h suppldbg.h syslog.h
dbgm_ls.obj : dbgm_ls.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
fftmpfil.obj : fftmpfil.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
dbgv_s14.obj : dbgv_s14.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
env_chg.obj : env_chg.c \
	 environ.h environ.loc initsupl.loc supl_def.h suppldbg.h syslog.h
fstrlen.obj : fstrlen.c \
	 fmemory.h initsupl.loc supl_def.h
dbgv_s18.obj : dbgv_s18.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
env_chk.obj : env_chk.c \
	 environ.h environ.loc initsupl.loc mcb.h supl_def.h suppl.h \
	suppldbg.h syslog.h
memccmp.obj : memccmp.c \
	 initsupl.loc supl_def.h
stpcpy.obj : stpcpy.c \
	 initsupl.loc supl_def.h
longseti.obj : longseti.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
getoptb0.obj : getoptb0.c \
	 initsupl.loc supl_def.h
dfnmatch.obj : dfnmatch.c \
	 dfn.h dfn.loc dir.loc initsupl.loc supl_def.h suppldbg.h syslog.h
dstrunqt.obj : dstrunqt.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
fstrcmpi.obj : fstrcmpi.c \
	 fmemory.h fmemory.loc initsupl.loc supl_def.h
dbgv_s3.obj : dbgv_s3.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
env_insv.obj : env_insv.c \
	 environ.h environ.loc errcodes.h fmemory.h initsupl.loc supl_def.h \
	suppldbg.h syslog.h
env_clr.obj : env_clr.c \
	 environ.h environ.loc initsupl.loc supl_def.h suppldbg.h syslog.h
dfnmkfil.obj : dfnmkfil.c \
	 dfn.h dfn.loc initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dbgv_s7.obj : dbgv_s7.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
getoptlo.obj : getoptlo.c \
	 dynstr.h getopt.h getopt.src msgs.h msgs_w.loc nls_c.h sstr.h suppl.h
stpcat.obj : stpcat.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
ffxinfo.obj : ffxinfo.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
longsetu.obj : longsetu.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
fmemset.obj : fmemset.c \
	 fmemory.h initsupl.loc supl_def.h
app_namx.obj : app_namx.c \
	 appname.h appname.loc dfn.h initsupl.loc supl_def.h suppldbg.h \
	syslog.h
env_cpy.obj : env_cpy.c \
	 environ.h environ.loc errcodes.h fmemory.h initsupl.loc supl_def.h \
	suppldbg.h syslog.h
dmemcmp2.obj : dmemcmp2.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dbgv_s23.obj : dbgv_s23.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dbgv_s27.obj : dbgv_s27.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
s_skipwd.obj : s_skipwd.c \
	 initsupl.loc str.h supl_def.h suppldbg.h syslog.h
dbgf_chg.obj : dbgf_chg.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h str.h supl_def.h suppldbg.h \
	suppldbg.loc supplio.h syslog.h
dfnsearc.obj : dfnsearc.c \
	 dfn.h dfn.loc dir.loc dynstr.h environ.h initsupl.loc nls_c.h sstr.h \
	supl_def.h suppl.h suppldbg.h syslog.h
env_scpy.obj : env_scpy.c \
	 environ.h environ.loc errcodes.h fmemory.h initsupl.loc supl_def.h \
	suppldbg.h syslog.h
env_nosp.obj : env_nosp.c \
	 environ.h environ.loc errcodes.h initsupl.loc sstr.h supl_def.h \
	suppldbg.h syslog.h
getdisk.obj : getdisk.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
dpeekb.obj : dpeekb.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dstrdupe.obj : dstrdupe.c \
	 dynstr.h initsupl.loc msgs.h msgs_w.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
env_nost.obj : env_nost.c \
	 environ.h environ.loc errcodes.h initsupl.loc mcb.h supl_def.h \
	suppldbg.h syslog.h
app_path.obj : app_path.c \
	 appname.h appname.loc dfn.h initsupl.loc supl_def.h suppldbg.h \
	syslog.h
fmemove.obj : fmemove.c \
	 fmemory.h initsupl.loc supl_def.h
ffcopyl.obj : ffcopyl.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
dfnstat.obj : dfnstat.c \
	 dfn.h dfn.loc initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
eeputs.obj : eeputs.c \
	 initsupl.loc msgs.h msgs_w.loc supl_def.h suppldbg.h supplio.h \
	syslog.h
dbgv_s32.obj : dbgv_s32.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dfnfullp.obj : dfnfullp.c \
	 dfn.h dfn.loc dir.loc dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h \
	suppl.h suppldbg.h syslog.h
env_repl.obj : env_repl.c \
	 environ.h environ.loc fmemory.h initsupl.loc mcb.h supl_def.h suppl.h \
	suppldbg.h syslog.h
app_patx.obj : app_patx.c \
	 appname.h appname.loc dfn.h initsupl.loc supl_def.h suppldbg.h \
	syslog.h
eegets.obj : eegets.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
getoptl.obj : getoptl.c \
	 dynstr.h getopt.h getopt.src msgs.h msgs_w.loc nls_c.h sstr.h suppl.h
gm_dupe.obj : gm_dupe.c \
	 dynstr.h initsupl.loc msgs.h msgs_w.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
env_var1.obj : env_var1.c \
	 environ.h initsupl.loc supl_def.h
dbgf_ext.obj : dbgf_ext.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
mcb_toen.obj : mcb_toen.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
dstrtail.obj : dstrtail.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
peekd.obj : peekd.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
dmemcmpf.obj : dmemcmpf.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dbgf_ien.obj : dbgf_ien.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
ff_tmpfl.obj : ff_tmpfl.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
dbgm_sc.obj : dbgm_sc.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
ffgetlin.obj : ffgetlin.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
app_ienv.obj : app_ienv.c \
	 appname.h appname.loc dfn.h environ.h initsupl.loc supl_def.h \
	suppldbg.h syslog.h
syslogr.obj : syslogr.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h syslog.loc
env_dvar.obj : env_dvar.c \
	 environ.h environ.loc fmemory.h initsupl.loc supl_def.h suppldbg.h \
	syslog.h
syslogv.obj : syslogv.c \
	 initsupl.loc msgs.h msgs_w.loc supl_def.h suppldbg.h syslog.h \
	syslog.loc
mcb_env.obj : mcb_env.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
isodigit.obj : isodigit.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
app_ievx.obj : app_ievx.c \
	 appname.h appname.loc dfn.h environ.h errcodes.h initsupl.loc \
	supl_def.h suppldbg.h syslog.h
ffposcmp.obj : ffposcmp.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
dbgm_ss.obj : dbgm_ss.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
app_ini_.obj : app_ini_.c \
	 appname.h appname.loc dfn.h dynstr.h errcodes.h initsupl.loc nls_c.h \
	sstr.h supl_def.h suppldbg.h syslog.h
env_scnt.obj : env_scnt.c \
	 environ.h environ.loc initsupl.loc supl_def.h suppldbg.h syslog.h
s_snglwd.obj : s_snglwd.c \
	 initsupl.loc str.h supl_def.h suppldbg.h syslog.h
ff_dopen.obj : ff_dopen.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
env_sins.obj : env_sins.c \
	 environ.h environ.loc errcodes.h fmemory.h initsupl.loc supl_def.h \
	suppldbg.h syslog.h
env_len.obj : env_len.c \
	 environ.h environ.loc fmemory.h initsupl.loc supl_def.h suppldbg.h \
	syslog.h
dstrleft.obj : dstrleft.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
mcb_nxt.obj : mcb_nxt.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
dstrbeg.obj : dstrbeg.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
env_add.obj : env_add.c \
	 environ.h fmemory.h initsupl.loc supl_def.h suppldbg.h syslog.h
dbgf_dpl.obj : dbgf_dpl.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
env_new.obj : env_new.c \
	 environ.h initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
app_filx.obj : app_filx.c \
	 appname.h appname.loc dfn.h initsupl.loc supl_def.h suppldbg.h \
	syslog.h
env_shel.obj : env_shel.c \
	 initsupl.loc mcb.h supl_def.h suppldbg.h syslog.h
gm_cmem.obj : gm_cmem.c \
	 dynstr.h initsupl.loc msgs.h msgs_w.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
ff_xopen.obj : ff_xopen.c \
	 dfn.h initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc \
	syslog.h
dbgv_s11.obj : dbgv_s11.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dta.obj : dta.c \
	 dta.pac initsupl.loc supl_def.h suppldbg.h syslog.h
dstrfupr.obj : dstrfupr.c \
	 initsupl.loc nls_f.h supl_def.h suppldbg.h syslog.h
ffxclose.obj : ffxclose.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
dbgv_s15.obj : dbgv_s15.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dfnunc.obj : dfnunc.c \
	 dfn.h dfn.loc dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h \
	suppldbg.h syslog.h
dbgv_s19.obj : dbgv_s19.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dstrconc.obj : dstrconc.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
gm_ssize.obj : gm_ssize.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
app_name.obj : app_name.c \
	 appname.h appname.loc dfn.h initsupl.loc supl_def.h suppldbg.h \
	syslog.h
env_put.obj : env_put.c \
	 environ.h initsupl.loc supl_def.h suppldbg.h syslog.h
dmemcmp.obj : dmemcmp.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dbgf_fl.obj : dbgf_fl.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dbgv_s0.obj : dbgv_s0.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
dstrdup.obj : dstrdup.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dstrquot.obj : dstrquot.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dstrunqu.obj : dstrunqu.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
eesetpos.obj : eesetpos.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h syslog.h
dbgv_s4.obj : dbgv_s4.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
getbdisk.obj : getbdisk.c \
	 initsupl.loc supl_def.h suppldbg.h syslog.h
dbgv_s8.obj : dbgv_s8.c \
	 initsupl.loc supl_def.h suppldbg.h suppldbg.loc supplio.h syslog.h
fmemcmpi.obj : fmemcmpi.c \
	 fmemory.h initsupl.loc supl_def.h
ffmaxbuf.obj : ffmaxbuf.c \
	 initsupl.loc supl_def.h suppldbg.h supplio.h supplio.loc syslog.h
longcmp.obj : longcmp.c \
	 initsupl.loc supl_def.h suppl.h suppldbg.h syslog.h
dstrtoke.obj : dstrtoke.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dbgf_mki.obj : dbgf_mki.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h \
	suppldbg.loc supplio.h syslog.h
env_sput.obj : env_sput.c \
	 environ.h environ.loc errcodes.h fmemory.h initsupl.loc supl_def.h \
	suppldbg.h syslog.h
dmemcmp3.obj : dmemcmp3.c \
	 dynstr.h initsupl.loc nls_c.h sstr.h supl_def.h suppldbg.h syslog.h
dfn_tmpn.obj : dfn_tmpn.c \
	 dfn.h dfn.loc initsupl.loc supl_def.h suppldbg.h syslog.h
DYNSOURCES = dfnuexpa.c dfnuful2.c dfnufull.c dfnumat2.c dfnumatc.c dfnumerg.c \
	dfnuspli.c dfnusque.c getoptx.c getoptx1.c getoptx2.c
#MAKEDEP STOP

LIB_CLEAN = $(DYNSOURCES) erfc_*.c stfc_*.c cfgi_tbl.loc nls/english.err ???_func.mk
libclobber ?= LIB_CLEAN := 
libclobber : clobber
.IF $(CFG)
	+Type $(mktmp $(CONFIGURATION)) >$(CFG)
.ENDIF

clean ::
	-$(RM) /sfl=1 1$(mktmp $(LIB_CLEAN) $(LIB_CLEAN:db:+".obj") $(OBJ_ADD))
	-$(RM) /sf suppl_*.bak *.lst *.csm *.pch *.dmp
	-$(RM) /sf *.xcc *.xll *.ccc *.lll

clobber ::
	-$(RM) /sfl=1 1$(mktmp suppl_?.lib suppl_?d.lib $(OBJ $(OBJ_ADD)) q*.asm q*.cp $$*.asm $$*.cp lastmake.mk mk0* )
	-+del _state*.mk

removedynsources .PHONY .NOSTATE :
	-$(RM) /sfl=1 1$(mktmp $(LIB_CLEAN:t"\n") \n)


#
#	OBJ_ADD contains all additional sources, such as compiler specific
#	sources (SRC_ADD_*), the error functions ERRFCT_SRC and string functions
#	STRFCT_SRC
$(XPRG) .LIBRARY .SWAP : $(OBJ_ADD) $(OBJ)

# source in the Free-Dos standard targets 
.INCLUDE .FIRST .IGNORE : fd_exit.mk ../fd_exit.mk ../../fd_exit.mk
